--- title: "getCloudMssqlBackupList" slug: "database-vmssql-getcloudmssqlbackuplist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqlbackuplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlBackupList Available in VPC Get Cloud DB for MSSQL instance backup details in a list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlBackupDetailList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MSSQL instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMssqlInstanceNo` | String | Required | Cloud DB for MSSQL instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 - 1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlBackupDetailList ?regionCode=KR &cloudMssqlInstanceNo=2517**** &pageNo=1 &pageSize=1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [CloudMssqlBackupDetailList](/docs/en/common-vapidatatype-cloudmssqlbackupdetaillist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudMssqlBackupDetailListResponse": { "totalRows":1, "cloudMssqlBackupDetailList": [ { "backupSetId": 52, "databaseName": "msdb", "fileName": "msdb_20240701_02****.full", "fullFileName": "Z:\\cmssql_backup\\user_idx_276****\\cmssql_10-0-252-15_m-2517****-001\\msdb_20240701_02****.full", "fullBackupSize": 3249515, "logBackupCount": 0, "logBackupSize": 0, "startTime": "2024-07-01T02:00:02+0900", "endTime": "2024-07-01T02:00:02+0900" } ], "requestId": "93697d3d-****-****-****-953e20c67075", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 93697d3d-****-****-****-953e20c67075 0 success 1 52 msdb msdb_20240701_02****.full Z:\cmssql_backup\user_idx_276****\cmssql_10-0-252-15_m-2517****-001\msdb_20240701_02****.full 3249515 0 0 2024-07-01T02:00:02+0900 2024-07-01T02:00:02+0900 ```